githubEdit

Zone endpoints

List zones (search)

post

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Search for Zone

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

ZoneSearchPayload

afterstringOptional

The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.

beforestringOptional

The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).

lastnumber · min: 1 · max: 250Optional

Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.

sizenumber · min: 1 · max: 250Optional

Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.

startAfterIdstringOptionalDeprecated

The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.

Responses
chevron-right
200

Your search result

application/json

ZonePaginatedResult

totalnumberOptional

The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.

post
/api/zones/search

Get facility zone

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityIdstringRequired

ID of facility from which you want to get the zone. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id})

zoneIdstringRequired

the ID of the zone

Responses
chevron-right
200

Zone was found & you are allowed to get it. The result is in the body.

application/json

Zone

get
/api/facilities/{facilityId}/zones/{zoneId}

List facility zones

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityIdstringRequired

ID of facility from which you want to get the zones. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id})

Query parameters
startAfterIdstringOptional

all entities after given Id

sizeintegerOptional

number of entities to show

Default: 25
Responses
chevron-right
200

Facility was found & you are allowed to get the zones. The result is in the body.

application/json

Zone

get
/api/facilities/{facilityId}/zones

Update facility zone

put

Replaces the current zone of this Facility with the provided in the body.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityIdstringRequired

ID of facility from which you want to put the zone. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id})

zoneIdstringRequired

the ID of the zone

Body

ZoneForReplacement

Responses
chevron-right
200

Zone was found & you are allowed to update it.

application/json

Zone

put
/api/facilities/{facilityId}/zones/{zoneId}

Create facility zone

post

Creates a new zone in this facility.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityIdstringRequired

ID of facility at which you want to create the zones. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id})

Body

ZoneForCreation

Responses
post
/api/facilities/{facilityId}/zones

Delete facility zone

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityIdstringRequired

ID of facility from which you want to delete the zone. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id})

zoneIdstringRequired

ID of the zone you want to delete

Responses
chevron-right
200

Zone was found & you were allowed to delete it.

No content

delete
/api/facilities/{facilityId}/zones/{zoneId}

No content

Last updated